SiVArc Readme

Examples See also History Extra
SiVArc Readme

This section contains information on the following topics:
  • Security information
  • Data protection
  • Notes on use


Security information

Examples See also History Extra
Security information Network drive Communication via Ethernet
Security information

Security information

Siemens provides products and solutions with industrial security functions that support the secure operation of plants, systems, machines and networks.

In order to protect plants, systems, machines and networks against cyber threats, it is necessary to implement – and continuously maintain – a holistic, state-of-the-art industrial security concept. Siemens’ products and solutions constitute one element of such a concept.

Customers are responsible for preventing unauthorized access to their plants, systems, machines and networks. Such systems, machines and components should only be connected to an enterprise network or the internet if and to the extent such a connection is necessary and only when appropriate security measures (e.g. firewalls and/or network segmentation) are in place.

Additionally, Siemens’ guidance on appropriate security measures should be taken into account. For more information about industrial security, visit

http://www.siemens.com/industrialsecurity

Siemens’ products and solutions undergo continuous development to make them more secure. Siemens strongly recommends that product updates are applied as soon as they are available and that the latest product versions are used. Use of product versions that are no longer supported, and failure to apply the latest updates may increase customer’s exposure to cyber threats.

To stay informed about product updates, subscribe to the Siemens Industrial Security RSS Feed under

http://www.siemens.com/industrialsecurity.

Network drive

Ensure that network drives are protected from unauthorized access in your network infrastructure and computers.

Communication via Ethernet

In Ethernet-based communication, end users themselves are responsible for the security of their data network. Proper functioning of the device cannot be guaranteed in all circumstances; targeted attacks, for example, can lead to overload of the device.


Data protection

Examples See also History Extra
Data protection

Siemens observes the principles of data protection, in particular the principle of data minimization (privacy by design). This means for this SIMATIC product, the product does not process / save any personal information.


Notes on use

Examples See also History Extra
New Features
Notes on use

New Features

Following are the new features and enhancements supported in SiVArc V16:

New Features

  • SiVArc extends its generation support to clients such as Energy Suite. Energy Suite generates screens and screen items based on the configured screen rules, which are referred as system screen rules. In "Select station and controllers for SiVArc generation" station dialog box , the "Rule Set" column allows you to choose the type of rules that you would like to generate, and can be one of the following:

    • User Created Rules - Relates to user created rules within SiVArc

    • Energy Suite Rules - Relates to rules created by Energy Suite

    • All Rules - Combination of SiVArc and Energy Suite rules

  • Visualization of energy data without SiVArc license in generating Energy Suite program

  • Screens based on hardware configuration - You can configure IO devices connected to the PLC, and can generate screens (through expressions) that result in IO device name, invariant type, and article number. SiVArc generation results in creating screens for single or multiple instances of IO device names, invariant type, and article number

  • Alarms based on hardware configuration - You can configure IO devices connected to the PLC, and can generate alarms, alarm groups, and alarm classes (through expressions) that result in IO device name, invariant type, and article number SiVArc generation results in creating alarms for single or multiple instances of IO device names, invariant type, and article number

  • SiVArc alllows you to configure expressions for various properties of HMI objects, which resolves to the name of the sofware unit containing the PLC block used in SiVArc rule creation

  • PLC tags are used on HMI device through the "Accessible from HMI" checkbox in the PLC tags window. While creating screens, the input and output fields of a screen item are configured with the PLC tags, and the same is used in HMI generation

Enhancements

  • You can configure a function list to an event of a generation template of a screen. Screens with events configured can be placed under library, and used in generation

  • Multi select of alarm objects in alarm rule editor is available

  • Openness API support extended to creation and edition of rules

  • Openness API support extended for SiVArc generation using multiple HMI devices

  • While configuring a faceplate with interface properties of screen items, you can retain the changes made for static and dynamic values through the Retain manual changes checkbox in faceplates Plug-ins editor

  • While configuring overflow screens, you can configure "Previous" and "Next" navigation buttons separately in the SiVArc Plug-ins editor

  • Generation matrix allows you to assign template/pop-up screens or screen objects to different target HMI devices

  • Screens/templates generated through copy rules are supported by Generation matrix

  • Character limit for Condition column in SiVArc rule editor is increased to 1000

  • During SiVArc generation for HMI panels/Runtime Advanced, system retains/merges the screen number to the old value for the same screen even after modifying the master copy or screen rule